	cblock: ds.b 1	defining variables to use later on
	work:	ds.b 1 
	flag:	ds.b 1 
	hund:	ds.w 2
	ten:	ds.w 2
	unit:	ds.w 2
	start:	ds.l 5
	ent:	ds.b 1
	
	move.b d0,cblock
	move.l a0,start		Physical Screen
	move.l a1,start+4	Sprite Background
	move.l a2,start+8 	Graphics blocks
	move.l a3,start+12	armour bank
	move.l a4,start+16	Hits bank
	
	move.b #2,flag
	bra redraw
	
ondreg	move #21,d0	test to see if mouse selects zone
	trap #5
	btst #1,d0
	bne ondreg
	move #26,d0
	clr d1
	trap #5
	cmpi #0,d0
	beq ondreg
	cmpi #12,d0
	ble ondreg
	cmpi #14,d0	branch to different routines 
	ble exit	depending on selected zone
	cmpi #15,d0
	beq up
	cmpi #16,d0
	beq tenup
	cmpi #17,d0
	beq down
	cmpi #18,d0
	beq tendn
	cmpi #19,d0
	beq name
	cmpi #20,d0
	beq armour
	cmpi #21,d0
	beq hits
	bra ondreg

up	cmpi #255,cblock	move blocks up one
	beq ondreg
	addq #1,cblock
	bra redraw

tenup	cmpi #246,cblock	move blocks up ten
	bge tenlp
	addi #10,cblock
	bra redraw
tenlp	move #255,cblock
	bra redraw
	
down	cmpi #0,cblock		move blocks down one
	beq ondreg
	subq #1,cblock
	bra redraw
	
tendn	cmpi #9,cblock		move blocks down ten
	ble tendnlp
	subi #10,cblock
	bra redraw
tendnlp	move #0,cblock
	bra redraw
	
name	bra exit	*** ignores selection of name box ***

redraw	move cblock,d3		redraw graphic block
	mulu #128,d3
	clr d7
	movea.l start+2,a4
	movea.l start+4,a0
	adda #3528,a0
loop	move.l a4,a0
	addq #4,a0
	addq #4,a4
	move.l a4,a0
	addq #4,a2
	addq #4,a3
	addq #1,d7
	cmpi #16,d7
	beq nloop
	add #152,a0
	bra loop
nloop	movea.l start+4,a0
	movea.l start+4,a1	redraw magnified block picture
	moveq #8,d1
	move #22,d2
	move #42,d0
	move #16,d3
	move #16,d4
	move #112,d5
	move #22,d6
	movea #64,a2
	movea #64,a3
	trap #5
	move #23,d0
	trap #5
	bra text

armour	bsr split 
	moveq #1,d7	test mouse pointer for zone
	move #11,d0
	move #34,d1
	trap #3
	move.b #0,flag
	move unit,a4
	move ten,a5
	move unit,a6
	bra text
	
hits	bsr split
	moveq #1,d7	test mouse pointer for zone
	move #12,d0
	move #34,d1
	trap #3
	move.b #1,flag
	clr d0
	move unit+2,a4
	move ten+2,a5
	move hund+2,a6
	bra text
	
keypad	move #21,d0	read on-screen keypad 
	trap #5
	btst #1,d0
	beq keypad
	move #26,d0
	clr d1
	trap #5
	cmpi #0,d0
	beq keypad
	cmpi #13,d0
	bge keypad
	cmpi #12,d0
	beq enter
	cmpi #11,d0
	beq delete
	clr d1
	move.b flag,d1
	move d1,a1
	movea a5,a6		add current number to end 
	movea a4,a5
	movea d0,a4
	bra keypad
	
delete	movea a5,a4		delete right hand digit
	movea a6,a5
	move 0,a6
	bra text
	
enter	move #1,ent
	bra text
ente	clr d0		compact three decimal digits into 
	clr d1		a single binary byte
	move.b hund,d1
	mulu #100,d1
	move d1,d0
	move.b ten,d1
	mulu #10,d1
	add d1,d0
	add unit,d0
	movea.l start+12,a0	set pointer for armour
	adda cblock,a0
	move.b d0,(a0)	store result in memory bank (max. 255)
	clr d0		 
	clr d1		
	move hund+2,d1
	mulu #100,d1
	move d1,d0
	move ten+2,d1
	mulu #10,d1
	add d1,d0
	add unit+2,d0
	movea.l start+16,a0 	set pointer for hits 
	adda cblock,a0
	move.b d0,(a0)  store result in memoy bank (max 255)
	bra ondreg
	
text	cmpi #1,flag
	bgt ondreg
	beq const
	move a6,hund
	move a5,ten
	move a4,unit
	
back	cmpi #1,ent
	beq ente
	clr d0		move cursor to write armour value
	move #2,d7
	move #34,d0
	move #11,d1
	trap #3
	clr d7
	move hund,d0
	trap #3
	move ten,d0
	trap #3
	move unit,d0
	trap #3
	clr d0
	clr d1
	move #2,d7	move cursor to write hits value
	move #34,d0
	move #12,d1
	trap #3
	move hund+2,d0
	trap #3
	move ten+2,d0
	trap #3
	move unit+2,d0
	trap #3
	bra keypad
	
const	move a6,hund+2
	move a5,ten+2
	move a4,unit+2	
	bra back
	
split	movea.l start+12,a0	set pointer for armour
	adda cblock,a0
	move.b (a0),d0		split binary number into
	move.b d0,d1		three decimal figures
	move.b d0,d2
	move.b d0,d3
	divu #100,d1
	move.b d1,hund
	clr d1
	move.b hund,d1
	mulu #100,d1
	sub d1,d2
	divu #10,d2
	move.b d2,ten
	clr d2
	move.b ten,d2
	mulu #10,d2
	sub d2,d3
	move.b d3,unit

	movea.l start+16,a0 	set pointer for hits 
	adda cblock,a0
	move.b (a0),d0		split binary number into
	move.b d0,d1		three decimal figures
	move.b d0,d2
	move.b d0,d3
	divu #100,d1
	move.b d1,hund+2
	clr d1
	move.b hund+2,d1
	mulu #100,d1
	sub d1,d2
	divu #10,d2
	move.b d2,ten+2
	clr d2
	move ten+2,d2
	mulu #10,d2
	sub d2,d3
	move.b d3,unit+2
	rts
	
exit 	sub #12,d0
	move d0,d1
	clr d0
	move.b cblock,d0
	rts